summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Orlitzky <mjo@gentoo.org>2016-01-02 09:36:48 -0500
committerMichael Orlitzky <mjo@gentoo.org>2016-01-02 09:37:11 -0500
commit7cbee1a3d886f00f43e431e0c50a74813ad58456 (patch)
treec7a64d6de8e7640037ae73cf830fd19bba05d9df /net-dns
parentnet-dns/bind-tools: amd64 stable (diff)
downloadgentoo-7cbee1a3d886f00f43e431e0c50a74813ad58456.tar.gz
gentoo-7cbee1a3d886f00f43e431e0c50a74813ad58456.tar.bz2
gentoo-7cbee1a3d886f00f43e431e0c50a74813ad58456.zip
net-dns/rbldnsd: add version 0.998.
Package-Manager: portage-2.2.24
Diffstat (limited to 'net-dns')
-rw-r--r--net-dns/rbldnsd/Manifest1
-rw-r--r--net-dns/rbldnsd/rbldnsd-0.998.ebuild67
2 files changed, 68 insertions, 0 deletions
diff --git a/net-dns/rbldnsd/Manifest b/net-dns/rbldnsd/Manifest
index 6e88d40b28c..54a3ec075c6 100644
--- a/net-dns/rbldnsd/Manifest
+++ b/net-dns/rbldnsd/Manifest
@@ -1 +1,2 @@
DIST rbldnsd-0.997a.tar.gz 144771 SHA256 9c17c6bde6995058204a66805444039d31523a7d4ef40cec059e505a0882a8ef SHA512 9a3e1a0ad2cd9dd08bcc114c70213a875e984f3761fa32c44fe544d8173f54330fe355ad229a120e64b8f4c8286187d0baa055526d3a85bc846df070bb213529 WHIRLPOOL b453396c9876fd4972c6028b5916ae9717d60d555e5bb33bc97f0a8910ee516a80d1a3cb6030a3850ec304794f4a00fd9f3dced0d5c7fd1388e7d87d53fedb24
+DIST rbldnsd-0.998.tar.gz 145363 SHA256 bc36082d46828ecdc0c9e3f8f009596746e1242b2b4002ab9cf9b93fe36e4924 SHA512 7b6fb106f8188b2ce6e05b622cf90a393a4642f00faa5bddc184ce02dbd2beee9d8de22cb09ae53a25c475f28f99d13fbf6252f0d4c1d72bf47ba23f769e7074 WHIRLPOOL 27165b85c85de5cd4db65979a093104d2f614af8163f10d65b5ac28eb443d4b9584ac5501314b8c3a8df3d730a0658f8cf88b0d6eb35efb9f3a17f25fc0ed49a
diff --git a/net-dns/rbldnsd/rbldnsd-0.998.ebuild b/net-dns/rbldnsd/rbldnsd-0.998.ebuild
new file mode 100644
index 00000000000..63befe962a4
--- /dev/null
+++ b/net-dns/rbldnsd/rbldnsd-0.998.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils toolchain-funcs user python-single-r1
+
+DESCRIPTION="DNS server designed to serve blacklist zones"
+HOMEPAGE="http://www.corpit.ru/mjt/rbldnsd.html"
+SRC_URI="http://www.corpit.ru/mjt/rbldnsd/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~sparc ~x86 ~x86-fbsd"
+IUSE="ipv6 test zlib"
+
+REQUIRED_USE="test? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="zlib? ( sys-libs/zlib )"
+DEPEND="${RDEPEND}
+ test? ( ${PYTHON_DEPS}
+ dev-python/pydns:2[${PYTHON_USEDEP}] )"
+
+src_prepare() {
+ epatch "${FILESDIR}/rbldnsd-0.997a-robust-ipv6-test-support.patch"
+ epatch "${FILESDIR}/rbldnsd-0.997a-format-security-compile-fix.patch"
+}
+
+src_configure() {
+ # The ./configure file is handwritten and doesn't support a `make
+ # install` target, so there are no --prefix options. The econf
+ # function appends those automatically, so we can't use it.
+ ./configure \
+ $(use_enable ipv6) \
+ $(use_enable zlib) \
+ || die "./configure failed"
+}
+
+src_compile() {
+ emake \
+ AR="$(tc-getAR)" \
+ CC="$(tc-getCC)" \
+ RANLIB="$(tc-getRANLIB)"
+}
+
+src_test() {
+ emake check \
+ CC="$(tc-getCC)" \
+ PYTHON="${PYTHON}"
+}
+
+src_install() {
+ dosbin rbldnsd
+ doman rbldnsd.8
+ keepdir /var/db/rbldnsd
+ dodoc CHANGES* TODO NEWS README*
+ newinitd "${FILESDIR}"/initd-0.997a rbldnsd
+ newconfd "${FILESDIR}"/confd-0.997a rbldnsd
+}
+
+pkg_postinst() {
+ enewgroup rbldns
+ enewuser rbldns -1 -1 /var/db/rbldnsd rbldns
+ chown rbldns:rbldns /var/db/rbldnsd
+}